<template lang="pug">
  div()
    BlogSearch(class="p-2 sm:p-0")/
    div(class="blog-list")
      div(class="blog-list-tags")
        BlogTags/
      div(class="blog-list-items")
        BlogListItem(v-for="(document, index) in documents" :key="index" :document="document")
</template>

<script>
import BlogSearch from "./Search";
import BlogListItem from "./List/Item";

export default {
  name:       "BlogList",
  components: {
    BlogListItem,
    BlogSearch,
  },
  props:      {
    documents: {
      type:    Array,
      default: [],
    },
  },
}
</script>

<style lang="scss" scoped>
.blog {
  &-list {
    @apply
    mt-10
    ;

    &-items {
      @apply
      sm:p-0
      md:grid
      md:grid-cols-2
      lg:grid-cols-3
      gap-6
        relative
      ;
    }

    &-tags {

    }
  }
}
</style>
